Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network13.232.32.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
13.232.32.0
Broadcast address
13.232.63.255
First usable
13.232.32.1
Last usable
13.232.63.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
A (default /8)
As numbers
Hex 0DE82000 · Integer 233316352 to 233324543
Reverse DNS zones
32.232.13.in-addr.arpa
33.232.13.in-addr.arpa
34.232.13.in-addr.arpa
35.232.13.in-addr.arpa
36.232.13.in-addr.arpa
37.232.13.in-addr.arpa
38.232.13.in-addr.arpa
39.232.13.in-addr.arpa
40.232.13.in-addr.arpa
41.232.13.in-addr.arpa
42.232.13.in-addr.arpa
43.232.13.in-addr.arpa
44.232.13.in-addr.arpa
45.232.13.in-addr.arpa
46.232.13.in-addr.arpa
47.232.13.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00001101.11101000.00100000.0000000013.232.32.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network00001101.11101000.00100000.0000000013.232.32.0
Broadcast00001101.11101000.00111111.1111111113.232.63.255
Split into smaller subnets/30

13.232.32.0/19 makes 2,048 subnets of /30; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
113.232.32.0/3013.232.32.1 to 13.232.32.213.232.32.32
213.232.32.4/3013.232.32.5 to 13.232.32.613.232.32.72
313.232.32.8/3013.232.32.9 to 13.232.32.1013.232.32.112
413.232.32.12/3013.232.32.13 to 13.232.32.1413.232.32.152
513.232.32.16/3013.232.32.17 to 13.232.32.1813.232.32.192
613.232.32.20/3013.232.32.21 to 13.232.32.2213.232.32.232
713.232.32.24/3013.232.32.25 to 13.232.32.2613.232.32.272
813.232.32.28/3013.232.32.29 to 13.232.32.3013.232.32.312
913.232.32.32/3013.232.32.33 to 13.232.32.3413.232.32.352
1013.232.32.36/3013.232.32.37 to 13.232.32.3813.232.32.392
1113.232.32.40/3013.232.32.41 to 13.232.32.4213.232.32.432
1213.232.32.44/3013.232.32.45 to 13.232.32.4613.232.32.472
1313.232.32.48/3013.232.32.49 to 13.232.32.5013.232.32.512
1413.232.32.52/3013.232.32.53 to 13.232.32.5413.232.32.552
1513.232.32.56/3013.232.32.57 to 13.232.32.5813.232.32.592
1613.232.32.60/3013.232.32.61 to 13.232.32.6213.232.32.632
1713.232.32.64/3013.232.32.65 to 13.232.32.6613.232.32.672
1813.232.32.68/3013.232.32.69 to 13.232.32.7013.232.32.712
1913.232.32.72/3013.232.32.73 to 13.232.32.7413.232.32.752
2013.232.32.76/3013.232.32.77 to 13.232.32.7813.232.32.792
2113.232.32.80/3013.232.32.81 to 13.232.32.8213.232.32.832
2213.232.32.84/3013.232.32.85 to 13.232.32.8613.232.32.872
2313.232.32.88/3013.232.32.89 to 13.232.32.9013.232.32.912
2413.232.32.92/3013.232.32.93 to 13.232.32.9413.232.32.952
2513.232.32.96/3013.232.32.97 to 13.232.32.9813.232.32.992
2613.232.32.100/3013.232.32.101 to 13.232.32.10213.232.32.1032
2713.232.32.104/3013.232.32.105 to 13.232.32.10613.232.32.1072
2813.232.32.108/3013.232.32.109 to 13.232.32.11013.232.32.1112
2913.232.32.112/3013.232.32.113 to 13.232.32.11413.232.32.1152
3013.232.32.116/3013.232.32.117 to 13.232.32.11813.232.32.1192
3113.232.32.120/3013.232.32.121 to 13.232.32.12213.232.32.1232
3213.232.32.124/3013.232.32.125 to 13.232.32.12613.232.32.1272
3313.232.32.128/3013.232.32.129 to 13.232.32.13013.232.32.1312
3413.232.32.132/3013.232.32.133 to 13.232.32.13413.232.32.1352
3513.232.32.136/3013.232.32.137 to 13.232.32.13813.232.32.1392
3613.232.32.140/3013.232.32.141 to 13.232.32.14213.232.32.1432
3713.232.32.144/3013.232.32.145 to 13.232.32.14613.232.32.1472
3813.232.32.148/3013.232.32.149 to 13.232.32.15013.232.32.1512
3913.232.32.152/3013.232.32.153 to 13.232.32.15413.232.32.1552
4013.232.32.156/3013.232.32.157 to 13.232.32.15813.232.32.1592
4113.232.32.160/3013.232.32.161 to 13.232.32.16213.232.32.1632
4213.232.32.164/3013.232.32.165 to 13.232.32.16613.232.32.1672
4313.232.32.168/3013.232.32.169 to 13.232.32.17013.232.32.1712
4413.232.32.172/3013.232.32.173 to 13.232.32.17413.232.32.1752
4513.232.32.176/3013.232.32.177 to 13.232.32.17813.232.32.1792
4613.232.32.180/3013.232.32.181 to 13.232.32.18213.232.32.1832
4713.232.32.184/3013.232.32.185 to 13.232.32.18613.232.32.1872
4813.232.32.188/3013.232.32.189 to 13.232.32.19013.232.32.1912
4913.232.32.192/3013.232.32.193 to 13.232.32.19413.232.32.1952
5013.232.32.196/3013.232.32.197 to 13.232.32.19813.232.32.1992
5113.232.32.200/3013.232.32.201 to 13.232.32.20213.232.32.2032
5213.232.32.204/3013.232.32.205 to 13.232.32.20613.232.32.2072
5313.232.32.208/3013.232.32.209 to 13.232.32.21013.232.32.2112
5413.232.32.212/3013.232.32.213 to 13.232.32.21413.232.32.2152
5513.232.32.216/3013.232.32.217 to 13.232.32.21813.232.32.2192
5613.232.32.220/3013.232.32.221 to 13.232.32.22213.232.32.2232
5713.232.32.224/3013.232.32.225 to 13.232.32.22613.232.32.2272
5813.232.32.228/3013.232.32.229 to 13.232.32.23013.232.32.2312
5913.232.32.232/3013.232.32.233 to 13.232.32.23413.232.32.2352
6013.232.32.236/3013.232.32.237 to 13.232.32.23813.232.32.2392
6113.232.32.240/3013.232.32.241 to 13.232.32.24213.232.32.2432
6213.232.32.244/3013.232.32.245 to 13.232.32.24613.232.32.2472
6313.232.32.248/3013.232.32.249 to 13.232.32.25013.232.32.2512
6413.232.32.252/3013.232.32.253 to 13.232.32.25413.232.32.2552
6513.232.33.0/3013.232.33.1 to 13.232.33.213.232.33.32
6613.232.33.4/3013.232.33.5 to 13.232.33.613.232.33.72
6713.232.33.8/3013.232.33.9 to 13.232.33.1013.232.33.112
6813.232.33.12/3013.232.33.13 to 13.232.33.1413.232.33.152
6913.232.33.16/3013.232.33.17 to 13.232.33.1813.232.33.192
7013.232.33.20/3013.232.33.21 to 13.232.33.2213.232.33.232
7113.232.33.24/3013.232.33.25 to 13.232.33.2613.232.33.272
7213.232.33.28/3013.232.33.29 to 13.232.33.3013.232.33.312
7313.232.33.32/3013.232.33.33 to 13.232.33.3413.232.33.352
7413.232.33.36/3013.232.33.37 to 13.232.33.3813.232.33.392
7513.232.33.40/3013.232.33.41 to 13.232.33.4213.232.33.432
7613.232.33.44/3013.232.33.45 to 13.232.33.4613.232.33.472
7713.232.33.48/3013.232.33.49 to 13.232.33.5013.232.33.512
7813.232.33.52/3013.232.33.53 to 13.232.33.5413.232.33.552
7913.232.33.56/3013.232.33.57 to 13.232.33.5813.232.33.592
8013.232.33.60/3013.232.33.61 to 13.232.33.6213.232.33.632
8113.232.33.64/3013.232.33.65 to 13.232.33.6613.232.33.672
8213.232.33.68/3013.232.33.69 to 13.232.33.7013.232.33.712
8313.232.33.72/3013.232.33.73 to 13.232.33.7413.232.33.752
8413.232.33.76/3013.232.33.77 to 13.232.33.7813.232.33.792
8513.232.33.80/3013.232.33.81 to 13.232.33.8213.232.33.832
8613.232.33.84/3013.232.33.85 to 13.232.33.8613.232.33.872
8713.232.33.88/3013.232.33.89 to 13.232.33.9013.232.33.912
8813.232.33.92/3013.232.33.93 to 13.232.33.9413.232.33.952
8913.232.33.96/3013.232.33.97 to 13.232.33.9813.232.33.992
9013.232.33.100/3013.232.33.101 to 13.232.33.10213.232.33.1032
9113.232.33.104/3013.232.33.105 to 13.232.33.10613.232.33.1072
9213.232.33.108/3013.232.33.109 to 13.232.33.11013.232.33.1112
9313.232.33.112/3013.232.33.113 to 13.232.33.11413.232.33.1152
9413.232.33.116/3013.232.33.117 to 13.232.33.11813.232.33.1192
9513.232.33.120/3013.232.33.121 to 13.232.33.12213.232.33.1232
9613.232.33.124/3013.232.33.125 to 13.232.33.12613.232.33.1272
9713.232.33.128/3013.232.33.129 to 13.232.33.13013.232.33.1312
9813.232.33.132/3013.232.33.133 to 13.232.33.13413.232.33.1352
9913.232.33.136/3013.232.33.137 to 13.232.33.13813.232.33.1392
10013.232.33.140/3013.232.33.141 to 13.232.33.14213.232.33.1432
10113.232.33.144/3013.232.33.145 to 13.232.33.14613.232.33.1472
10213.232.33.148/3013.232.33.149 to 13.232.33.15013.232.33.1512
10313.232.33.152/3013.232.33.153 to 13.232.33.15413.232.33.1552
10413.232.33.156/3013.232.33.157 to 13.232.33.15813.232.33.1592
10513.232.33.160/3013.232.33.161 to 13.232.33.16213.232.33.1632
10613.232.33.164/3013.232.33.165 to 13.232.33.16613.232.33.1672
10713.232.33.168/3013.232.33.169 to 13.232.33.17013.232.33.1712
10813.232.33.172/3013.232.33.173 to 13.232.33.17413.232.33.1752
10913.232.33.176/3013.232.33.177 to 13.232.33.17813.232.33.1792
11013.232.33.180/3013.232.33.181 to 13.232.33.18213.232.33.1832
11113.232.33.184/3013.232.33.185 to 13.232.33.18613.232.33.1872
11213.232.33.188/3013.232.33.189 to 13.232.33.19013.232.33.1912
11313.232.33.192/3013.232.33.193 to 13.232.33.19413.232.33.1952
11413.232.33.196/3013.232.33.197 to 13.232.33.19813.232.33.1992
11513.232.33.200/3013.232.33.201 to 13.232.33.20213.232.33.2032
11613.232.33.204/3013.232.33.205 to 13.232.33.20613.232.33.2072
11713.232.33.208/3013.232.33.209 to 13.232.33.21013.232.33.2112
11813.232.33.212/3013.232.33.213 to 13.232.33.21413.232.33.2152
11913.232.33.216/3013.232.33.217 to 13.232.33.21813.232.33.2192
12013.232.33.220/3013.232.33.221 to 13.232.33.22213.232.33.2232
12113.232.33.224/3013.232.33.225 to 13.232.33.22613.232.33.2272
12213.232.33.228/3013.232.33.229 to 13.232.33.23013.232.33.2312
12313.232.33.232/3013.232.33.233 to 13.232.33.23413.232.33.2352
12413.232.33.236/3013.232.33.237 to 13.232.33.23813.232.33.2392
12513.232.33.240/3013.232.33.241 to 13.232.33.24213.232.33.2432
12613.232.33.244/3013.232.33.245 to 13.232.33.24613.232.33.2472
12713.232.33.248/3013.232.33.249 to 13.232.33.25013.232.33.2512
12813.232.33.252/3013.232.33.253 to 13.232.33.25413.232.33.2552
12913.232.34.0/3013.232.34.1 to 13.232.34.213.232.34.32
13013.232.34.4/3013.232.34.5 to 13.232.34.613.232.34.72
13113.232.34.8/3013.232.34.9 to 13.232.34.1013.232.34.112
13213.232.34.12/3013.232.34.13 to 13.232.34.1413.232.34.152
13313.232.34.16/3013.232.34.17 to 13.232.34.1813.232.34.192
13413.232.34.20/3013.232.34.21 to 13.232.34.2213.232.34.232
13513.232.34.24/3013.232.34.25 to 13.232.34.2613.232.34.272
13613.232.34.28/3013.232.34.29 to 13.232.34.3013.232.34.312
13713.232.34.32/3013.232.34.33 to 13.232.34.3413.232.34.352
13813.232.34.36/3013.232.34.37 to 13.232.34.3813.232.34.392
13913.232.34.40/3013.232.34.41 to 13.232.34.4213.232.34.432
14013.232.34.44/3013.232.34.45 to 13.232.34.4613.232.34.472
14113.232.34.48/3013.232.34.49 to 13.232.34.5013.232.34.512
14213.232.34.52/3013.232.34.53 to 13.232.34.5413.232.34.552
14313.232.34.56/3013.232.34.57 to 13.232.34.5813.232.34.592
14413.232.34.60/3013.232.34.61 to 13.232.34.6213.232.34.632
14513.232.34.64/3013.232.34.65 to 13.232.34.6613.232.34.672
14613.232.34.68/3013.232.34.69 to 13.232.34.7013.232.34.712
14713.232.34.72/3013.232.34.73 to 13.232.34.7413.232.34.752
14813.232.34.76/3013.232.34.77 to 13.232.34.7813.232.34.792
14913.232.34.80/3013.232.34.81 to 13.232.34.8213.232.34.832
15013.232.34.84/3013.232.34.85 to 13.232.34.8613.232.34.872
15113.232.34.88/3013.232.34.89 to 13.232.34.9013.232.34.912
15213.232.34.92/3013.232.34.93 to 13.232.34.9413.232.34.952
15313.232.34.96/3013.232.34.97 to 13.232.34.9813.232.34.992
15413.232.34.100/3013.232.34.101 to 13.232.34.10213.232.34.1032
15513.232.34.104/3013.232.34.105 to 13.232.34.10613.232.34.1072
15613.232.34.108/3013.232.34.109 to 13.232.34.11013.232.34.1112
15713.232.34.112/3013.232.34.113 to 13.232.34.11413.232.34.1152
15813.232.34.116/3013.232.34.117 to 13.232.34.11813.232.34.1192
15913.232.34.120/3013.232.34.121 to 13.232.34.12213.232.34.1232
16013.232.34.124/3013.232.34.125 to 13.232.34.12613.232.34.1272
16113.232.34.128/3013.232.34.129 to 13.232.34.13013.232.34.1312
16213.232.34.132/3013.232.34.133 to 13.232.34.13413.232.34.1352
16313.232.34.136/3013.232.34.137 to 13.232.34.13813.232.34.1392
16413.232.34.140/3013.232.34.141 to 13.232.34.14213.232.34.1432
16513.232.34.144/3013.232.34.145 to 13.232.34.14613.232.34.1472
16613.232.34.148/3013.232.34.149 to 13.232.34.15013.232.34.1512
16713.232.34.152/3013.232.34.153 to 13.232.34.15413.232.34.1552
16813.232.34.156/3013.232.34.157 to 13.232.34.15813.232.34.1592
16913.232.34.160/3013.232.34.161 to 13.232.34.16213.232.34.1632
17013.232.34.164/3013.232.34.165 to 13.232.34.16613.232.34.1672
17113.232.34.168/3013.232.34.169 to 13.232.34.17013.232.34.1712
17213.232.34.172/3013.232.34.173 to 13.232.34.17413.232.34.1752
17313.232.34.176/3013.232.34.177 to 13.232.34.17813.232.34.1792
17413.232.34.180/3013.232.34.181 to 13.232.34.18213.232.34.1832
17513.232.34.184/3013.232.34.185 to 13.232.34.18613.232.34.1872
17613.232.34.188/3013.232.34.189 to 13.232.34.19013.232.34.1912
17713.232.34.192/3013.232.34.193 to 13.232.34.19413.232.34.1952
17813.232.34.196/3013.232.34.197 to 13.232.34.19813.232.34.1992
17913.232.34.200/3013.232.34.201 to 13.232.34.20213.232.34.2032
18013.232.34.204/3013.232.34.205 to 13.232.34.20613.232.34.2072
18113.232.34.208/3013.232.34.209 to 13.232.34.21013.232.34.2112
18213.232.34.212/3013.232.34.213 to 13.232.34.21413.232.34.2152
18313.232.34.216/3013.232.34.217 to 13.232.34.21813.232.34.2192
18413.232.34.220/3013.232.34.221 to 13.232.34.22213.232.34.2232
18513.232.34.224/3013.232.34.225 to 13.232.34.22613.232.34.2272
18613.232.34.228/3013.232.34.229 to 13.232.34.23013.232.34.2312
18713.232.34.232/3013.232.34.233 to 13.232.34.23413.232.34.2352
18813.232.34.236/3013.232.34.237 to 13.232.34.23813.232.34.2392
18913.232.34.240/3013.232.34.241 to 13.232.34.24213.232.34.2432
19013.232.34.244/3013.232.34.245 to 13.232.34.24613.232.34.2472
19113.232.34.248/3013.232.34.249 to 13.232.34.25013.232.34.2512
19213.232.34.252/3013.232.34.253 to 13.232.34.25413.232.34.2552
19313.232.35.0/3013.232.35.1 to 13.232.35.213.232.35.32
19413.232.35.4/3013.232.35.5 to 13.232.35.613.232.35.72
19513.232.35.8/3013.232.35.9 to 13.232.35.1013.232.35.112
19613.232.35.12/3013.232.35.13 to 13.232.35.1413.232.35.152
19713.232.35.16/3013.232.35.17 to 13.232.35.1813.232.35.192
19813.232.35.20/3013.232.35.21 to 13.232.35.2213.232.35.232
19913.232.35.24/3013.232.35.25 to 13.232.35.2613.232.35.272
20013.232.35.28/3013.232.35.29 to 13.232.35.3013.232.35.312
20113.232.35.32/3013.232.35.33 to 13.232.35.3413.232.35.352
20213.232.35.36/3013.232.35.37 to 13.232.35.3813.232.35.392
20313.232.35.40/3013.232.35.41 to 13.232.35.4213.232.35.432
20413.232.35.44/3013.232.35.45 to 13.232.35.4613.232.35.472
20513.232.35.48/3013.232.35.49 to 13.232.35.5013.232.35.512
20613.232.35.52/3013.232.35.53 to 13.232.35.5413.232.35.552
20713.232.35.56/3013.232.35.57 to 13.232.35.5813.232.35.592
20813.232.35.60/3013.232.35.61 to 13.232.35.6213.232.35.632
20913.232.35.64/3013.232.35.65 to 13.232.35.6613.232.35.672
21013.232.35.68/3013.232.35.69 to 13.232.35.7013.232.35.712
21113.232.35.72/3013.232.35.73 to 13.232.35.7413.232.35.752
21213.232.35.76/3013.232.35.77 to 13.232.35.7813.232.35.792
21313.232.35.80/3013.232.35.81 to 13.232.35.8213.232.35.832
21413.232.35.84/3013.232.35.85 to 13.232.35.8613.232.35.872
21513.232.35.88/3013.232.35.89 to 13.232.35.9013.232.35.912
21613.232.35.92/3013.232.35.93 to 13.232.35.9413.232.35.952
21713.232.35.96/3013.232.35.97 to 13.232.35.9813.232.35.992
21813.232.35.100/3013.232.35.101 to 13.232.35.10213.232.35.1032
21913.232.35.104/3013.232.35.105 to 13.232.35.10613.232.35.1072
22013.232.35.108/3013.232.35.109 to 13.232.35.11013.232.35.1112
22113.232.35.112/3013.232.35.113 to 13.232.35.11413.232.35.1152
22213.232.35.116/3013.232.35.117 to 13.232.35.11813.232.35.1192
22313.232.35.120/3013.232.35.121 to 13.232.35.12213.232.35.1232
22413.232.35.124/3013.232.35.125 to 13.232.35.12613.232.35.1272
22513.232.35.128/3013.232.35.129 to 13.232.35.13013.232.35.1312
22613.232.35.132/3013.232.35.133 to 13.232.35.13413.232.35.1352
22713.232.35.136/3013.232.35.137 to 13.232.35.13813.232.35.1392
22813.232.35.140/3013.232.35.141 to 13.232.35.14213.232.35.1432
22913.232.35.144/3013.232.35.145 to 13.232.35.14613.232.35.1472
23013.232.35.148/3013.232.35.149 to 13.232.35.15013.232.35.1512
23113.232.35.152/3013.232.35.153 to 13.232.35.15413.232.35.1552
23213.232.35.156/3013.232.35.157 to 13.232.35.15813.232.35.1592
23313.232.35.160/3013.232.35.161 to 13.232.35.16213.232.35.1632
23413.232.35.164/3013.232.35.165 to 13.232.35.16613.232.35.1672
23513.232.35.168/3013.232.35.169 to 13.232.35.17013.232.35.1712
23613.232.35.172/3013.232.35.173 to 13.232.35.17413.232.35.1752
23713.232.35.176/3013.232.35.177 to 13.232.35.17813.232.35.1792
23813.232.35.180/3013.232.35.181 to 13.232.35.18213.232.35.1832
23913.232.35.184/3013.232.35.185 to 13.232.35.18613.232.35.1872
24013.232.35.188/3013.232.35.189 to 13.232.35.19013.232.35.1912
24113.232.35.192/3013.232.35.193 to 13.232.35.19413.232.35.1952
24213.232.35.196/3013.232.35.197 to 13.232.35.19813.232.35.1992
24313.232.35.200/3013.232.35.201 to 13.232.35.20213.232.35.2032
24413.232.35.204/3013.232.35.205 to 13.232.35.20613.232.35.2072
24513.232.35.208/3013.232.35.209 to 13.232.35.21013.232.35.2112
24613.232.35.212/3013.232.35.213 to 13.232.35.21413.232.35.2152
24713.232.35.216/3013.232.35.217 to 13.232.35.21813.232.35.2192
24813.232.35.220/3013.232.35.221 to 13.232.35.22213.232.35.2232
24913.232.35.224/3013.232.35.225 to 13.232.35.22613.232.35.2272
25013.232.35.228/3013.232.35.229 to 13.232.35.23013.232.35.2312
25113.232.35.232/3013.232.35.233 to 13.232.35.23413.232.35.2352
25213.232.35.236/3013.232.35.237 to 13.232.35.23813.232.35.2392
25313.232.35.240/3013.232.35.241 to 13.232.35.24213.232.35.2432
25413.232.35.244/3013.232.35.245 to 13.232.35.24613.232.35.2472
25513.232.35.248/3013.232.35.249 to 13.232.35.25013.232.35.2512
25613.232.35.252/3013.232.35.253 to 13.232.35.25413.232.35.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses